Bug 1125855 - Role-mapping file not needed for user deletion
Summary: Role-mapping file not needed for user deletion
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Transitions
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Tomas Lestach
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks: stargate-GA-tracker
TreeView+ depends on / blocked
 
Reported: 2014-08-01 09:11 UTC by Tomas Lestach
Modified: 2014-09-11 12:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:23:14 UTC


Attachments (Terms of Use)

Description Tomas Lestach 2014-08-01 09:11:17 UTC
Description of problem:
hammer import user command checks for the role-mapping file even if the users are to be deleted.

How reproducible:
always

Steps to Reproduce:
1. run:
#hammer import user --csv-file=data/users.csv --delete --verbose

Actual results:
Role-mapping file /etc/hammer/cli.modules.d/role_map.yml not found, no roles will be assigned
Deleting from data/users.csv
Deleting imported user [177->5].

Expected results:
Do not check and print warning about missing mapping-file in case of user deletion.

Additional info:
There's also no need to override the execute() method used to check the availability of the mapping-file.

Comment 2 Grant Gainey 2014-08-03 19:11:42 UTC
Fixed as a sideeffect of commit 610fc67318ba2501c531fbedec2b54be1ea6cd98

Comment 5 Matej Kollar 2014-09-03 09:27:21 UTC
verified with rubygem-hammer_cli_import-0.10.3-1

Comment 6 Bryan Kearney 2014-09-11 12:23:14 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.